# $chan.bancount

Returns the number of entries in the channel ban list

Usage

    $chan.bancount
    $chan.bancount(<window_id>)

Description

The first form returns the number of entries in the ban list of the current channel (assuming that the current window is a channel at all). If the current window is not a channel, a warning is printed and 0 is returned.
The second form returns the number entries in the ban list of the channel specified by <window_id>.
The number of ban list entries is returned if it is known form at the call time: this means that if the channel is not synchronized with the server (as just after the join, for example) you might get a number that is actually smaller.

Syntax Specification

    <integer> $chan.bancount
    <integer> $chan.bancount(<window_id:string>)

Index, Functions

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011